Remove Assistant Tag
DELETE
/
ai
/
assistants
/
{assistant_id}
/
tags
/
{tag}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const tag = await client.ai.assistants.tags.remove('tag', { assistant_id: 'assistant_id' });
console.log(tag.tags);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
tag = client.ai.assistants.tags.remove(
tag="tag",
assistant_id="assistant_id",
)
print(tag.tags)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
tag, err := client.AI.Assistants.Tags.Remove(
context.TODO(),
"tag",
telnyx.AIAssistantTagRemoveParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", tag.Tags)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tags.TagRemoveParams;
import com.telnyx.sdk.models.ai.assistants.tags.TagRemoveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TagRemoveParams params = TagRemoveParams.builder()
.assistantId("assistant_id")
.tag("tag")
.build();
TagRemoveResponse tag = client.ai().assistants().tags().remove(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
tag = telnyx.ai.assistants.tags.remove("tag", assistant_id: "assistant_id")
puts(tag)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$tag = $client->ai->assistants->tags->remove(
'tag', assistantID: 'assistant_id'
);
var_dump($tag);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tags remove \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tag tagcurl --request DELETE \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tags/{tag} \
--header 'Authorization: Bearer <token>'{
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the assistant.
Unique identifier of the tag.
Response
Successful Response
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const tag = await client.ai.assistants.tags.remove('tag', { assistant_id: 'assistant_id' });
console.log(tag.tags);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
tag = client.ai.assistants.tags.remove(
tag="tag",
assistant_id="assistant_id",
)
print(tag.tags)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
tag, err := client.AI.Assistants.Tags.Remove(
context.TODO(),
"tag",
telnyx.AIAssistantTagRemoveParams{
AssistantID: "assistant_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", tag.Tags)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.assistants.tags.TagRemoveParams;
import com.telnyx.sdk.models.ai.assistants.tags.TagRemoveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TagRemoveParams params = TagRemoveParams.builder()
.assistantId("assistant_id")
.tag("tag")
.build();
TagRemoveResponse tag = client.ai().assistants().tags().remove(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
tag = telnyx.ai.assistants.tags.remove("tag", assistant_id: "assistant_id")
puts(tag)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$tag = $client->ai->assistants->tags->remove(
'tag', assistantID: 'assistant_id'
);
var_dump($tag);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:assistants:tags remove \
--api-key 'My API Key' \
--assistant-id assistant_id \
--tag tagcurl --request DELETE \
--url https://api.telnyx.com/v2/ai/assistants/{assistant_id}/tags/{tag} \
--header 'Authorization: Bearer <token>'{
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}